<?php
/**
* @version		$Id: hidden.php 10707 2008-08-21 09:52:47Z eddieajau $
* @package		Joomla.Framework
* @subpackage	Parameter
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

/**
 * Renders a hidden element
 *
 * @package 	Joomla.Framework
 * @subpackage		Parameter
 * @since		1.5
 */

class JElementflexicheck extends JElement
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	var	$_name = 'flexicheck';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$filename = 'components/com_flexicontent/index.html';
			if (file_exists($filename)) {
				echo '<div style="text-align: center; font-weight: bold;">FLEXIcontent settings found</div>';
			} else {
				echo '<div style="text-align: center; font-weight: bold;">FLEXIcontent has not been installed on this site<br/>FLEXIcontent specific fields will be shown as blank<br/>You can get FLEXIcontent <a href="http://www.flexicontent.org/">HERE</a></div>';
			} 
	}

	function fetchTooltip($label, $description, &$xmlElement, $control_name='', $name='') {
		return false;
	}
}
